> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bucket Access Keys

> Retrieve access keys for a specific bucket



## OpenAPI

````yaml /api-reference/openapi.yaml get /object-storage/{service_id}/buckets/{bucket_name}/access_keys
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /object-storage/{service_id}/buckets/{bucket_name}/access_keys:
    get:
      tags:
        - Object Storage
      summary: Get Bucket Access Keys
      description: Retrieve access keys for a specific bucket
      operationId: getBucketAccessKeys
      parameters:
        - name: service_id
          in: path
          description: Object storage service UUID
          required: true
          schema:
            type: string
            format: uuid
        - name: bucket_name
          in: path
          description: Bucket name
          required: true
          schema:
            type: string
        - name: team_id
          in: query
          description: Team ID. Default team will be used if not provided.
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  keys:
                    type: array
                    items:
                      type: object
                      properties:
                        access_key:
                          type: string
                        secret_key:
                          type: string
        '401':
          description: Unauthorized
        '403':
          description: Service not active
        '404':
          description: Service or bucket not found
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````